Show / Hide Table of Contents

# Interface ISqlParserWrapper

SqlParserWrapper interface

###### Namespace:Microsoft.SqlTools.ServiceLayer.LanguageServices.Completion

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public interface ISqlParserWrapper

### Methods

| Improve this Doc View Source

#### FindCompletions(ParseResult, Int32, Int32, IMetadataDisplayInfoProvider)

##### Declaration

    IEnumerable<Declaration> FindCompletions(ParseResult parseResult, int line, int col, IMetadataDisplayInfoProvider displayInfoProvider)

##### Parameters

Type | Name | Description
--- | --- | ---
Microsoft.SqlServer.Management.SqlParser.Parser.ParseResult | parseResult |
System.Int32 | line |
System.Int32 | col |
Microsoft.SqlServer.Management.SqlParser.MetadataProvider.IMetadataDisplayInfoProvider | displayInfoProvider |

##### Returns

Type | Description
--- | ---
System.Collections.Generic.IEnumerable<Microsoft.SqlServer.Management.SqlParser.Intellisense.Declaration> |